Index: trunk/kernel/kernel_config.h
===================================================================
--- trunk/kernel/kernel_config.h	(revision 607)
+++ trunk/kernel/kernel_config.h	(revision 610)
@@ -37,5 +37,5 @@
 #define DEBUG_BARRIER                     0
 
-#define DEBUG_BUSYLOCK                    1
+#define DEBUG_BUSYLOCK                    0
 #define DEBUG_BUSYLOCK_THREAD_XP          0x0000000000ULL  // selected thread xptr
                  
@@ -81,5 +81,5 @@
 #define DEBUG_FATFS_MOVE_PAGE             0
 #define DEBUG_FATFS_RELEASE_INODE         0
-#define DEBUG_FATFS_REMOVE_DENTRY         1
+#define DEBUG_FATFS_REMOVE_DENTRY         0
 #define DEBUG_FATFS_SYNC_FAT              0
 #define DEBUG_FATFS_SYNC_FSINFO           0
@@ -90,5 +90,5 @@
 #define DEBUG_HAL_GPT_CREATE              0
 #define DEBUG_HAL_GPT_DESTROY             0
-
+#define DEBUG_HAL_USPACE                  0
 #define DEBUG_HAL_KENTRY                  0
 #define DEBUG_HAL_EXCEPTIONS              0
@@ -102,7 +102,7 @@
 #define DEBUG_KMEM                        0
 
-#define DEBUG_KERNEL_INIT                 0
-
-#define DEBUG_MAPPER_GET_PAGE             1
+#define DEBUG_KERNEL_INIT                 2
+
+#define DEBUG_MAPPER_GET_PAGE             0
 #define DEBUG_MAPPER_HANDLE_MISS          0
 #define DEBUG_MAPPER_MOVE_USER            0
@@ -116,4 +116,5 @@
 #define DEBUG_PROCESS_COPY_INIT           0
 #define DEBUG_PROCESS_DESTROY             0
+#define DEBUG_PROCESS_FD_REGISTER         0
 #define DEBUG_PROCESS_GET_LOCAL_COPY      0
 #define DEBUG_PROCESS_INIT_CREATE         0
@@ -125,5 +126,5 @@
 #define DEBUG_PROCESS_ZERO_CREATE         0
 
-#define DEBUG_QUEUELOCK                   0
+#define DEBUG_QUEUELOCK_TYPE              0    // lock type (0 is undefined)
 
 #define DEBUG_RPC_CLIENT_GENERIC          0
@@ -132,5 +133,5 @@
 #define DEBUG_RPC_KCM_ALLOC               0
 #define DEBUG_RPC_KCM_FREE                0
-#define DEBUG_RPC_MAPPER_rGT_PAGE         0
+#define DEBUG_RPC_MAPPER_HANDLE_MISS      0
 #define DEBUG_RPC_MAPPER_MOVE_USER        0
 #define DEBUG_RPC_PMEM_GET_PAGES          0
@@ -150,5 +151,5 @@
 #define DEBUG_RPC_VMM_GET_VSEG            0
 
-#define DEBUG_RWLOCK                      0
+#define DEBUG_RWLOCK_TYPE                 0    // lock type (0 is undefined) 
 
 #define DEBUG_SCHED_HANDLE_SIGNALS        2
@@ -169,4 +170,5 @@
 #define DEBUG_SYS_FORK                    0
 #define DEBUG_SYS_GET_CONFIG              0
+#define DEBUG_SYS_GETCWD                  0
 #define DEBUG_SYS_GETPID                  0
 #define DEBUG_SYS_ISATTY                  0
@@ -174,4 +176,5 @@
 #define DEBUG_SYS_KILL                    0
 #define DEBUG_SYS_OPEN                    0
+#define DEBUG_SYS_MKDIR                   2
 #define DEBUG_SYS_MMAP                    0
 #define DEBUG_SYS_MUNMAP                  0
@@ -205,13 +208,18 @@
 #define DEBUG_VFS_ADD_CHILD               0
 #define DEBUG_VFS_CLOSE                   0
+#define DEBUG_VFS_CHDIR                   0
 #define DEBUG_VFS_DENTRY_CREATE           0
+#define DEBUG_VFS_FILE_CREATE             0
+#define DEBUG_VFS_GET_PATH                0
 #define DEBUG_VFS_INODE_CREATE            0
 #define DEBUG_VFS_INODE_LOAD_ALL          0
-#define DEBUG_VFS_LOOKUP                  0
+#define DEBUG_VFS_LINK                    0
+#define DEBUG_VFS_LOOKUP                  1
 #define DEBUG_VFS_LSEEK                   0
+#define DEBUG_VFS_MKDIR                   1
 #define DEBUG_VFS_NEW_CHILD_INIT          0
 #define DEBUG_VFS_OPEN                    0
 #define DEBUG_VFS_STAT                    0
-#define DEBUG_VFS_UNLINK                  1
+#define DEBUG_VFS_UNLINK                  0
 
 #define DEBUG_VMM_CREATE_VSEG             0
@@ -247,5 +255,5 @@
 
 #define LOCK_THREAD_JOIN      10   // remote (B)  protect join/exit between two threads
-#define LOCK_VFS_MAIN         11   // remote (B)  protect vfs traversal (one per inode)
+#define LOCK_XHTAB_STATE      11   // remote (B)  protect  a distributed xhtab state
 #define LOCK_CHDEV_QUEUE      12   // remote (B)  protect chdev threads waiting queue
 #define LOCK_CHDEV_TXT0       13   // remote (B)  protect access to kernel terminal TXT0
@@ -255,5 +263,5 @@
 #define LOCK_CONDVAR_STATE    17   // remote (B)  protect user condvar state
 #define LOCK_SEM_STATE        18   // remote (B)  protect user semaphore state
-#define LOCK_XHTAB_STATE      19   // remote (B)  protect a distributed xhatb state
+#define LOCK_PROCESS_CWD      19   // remote (B)  protect current working directory in process
 
 #define BUSYLOCK_TYPE_MAX     20
@@ -272,9 +280,9 @@
 
 #define LOCK_MAPPER_STATE     30   // remote (RW) protect mapper state
-#define LOCK_PROCESS_CWD      31   // remote (RW) protect current working directory in process
-#define LOCK_VFS_INODE        32   // remote (RW) protect inode state and associated mapper
-#define LOCK_VFS_FILE         33   // remote (RW) protect file descriptor state
-#define LOCK_VMM_VSL          34   // remote (RW) protect VSL (local list of vsegs)
-#define LOCK_VMM_GPT          35   // remote (RW) protect GPT (local page table)
+#define LOCK_VFS_SIZE         31   // remote (RW) protect inode state and associated mapper
+#define LOCK_VFS_FILE         32   // remote (RW) protect file descriptor state
+#define LOCK_VMM_VSL          33   // remote (RW) protect VSL (local list of vsegs)
+#define LOCK_VMM_GPT          34   // remote (RW) protect GPT (local page table)
+#define LOCK_VFS_MAIN         35   // remote (RW) protect vfs traversal (in root inode)
 
 
